<div class="loader" *ngIf="showLoader">
  <app-loader></app-loader>
</div>

<navbar-app [checkLogin]="checkLogin" [default]="navbarMode"></navbar-app>
<div class="body" dir="rtl">
  <div>
    <div class="profile" data-aos="fade-right" data-aos-duration="5000">
      <div>
        <div class="img">
          <img
            [src]="
              data.userProfileImage
                ? imageUrl + data.userProfileImage
                : imageUrl + userDefaultImage
            "
            alt=""
          />
        </div>
        <div class="name">
          <p>{{ data.userFullName }}</p>
          <p *ngIf="data.userRole == 1 || data.userRole == 2">
            {{ data.userField }}
          </p>
        </div>
      </div>
      <div>
        <div class="follow" *ngIf="checkLogin">
          <p *ngIf="isFollowed" class="unfollow-btn" (click)="unFollow()">
            <fa-icon [icon]="faTimes"></fa-icon>
            <span>عدم دنبال</span>
          </p>
          <p *ngIf="!isFollowed" class="follow-btn" (click)="follow()">
            <fa-icon [icon]="faPlus"></fa-icon>
            <span>دنبال کردن</span>
          </p>
        </div>
      </div>
    </div>
    <div class="title" data-aos="fade-right" data-aos-duration="5000">
      <p>{{ data.title }}</p>
      <p>
        <span>تاریخ انتشار : </span>
        <span>{{ data.date }}</span>
      </p>
    </div>
    <div class="main">
      <div class="img" data-aos="fade-left" data-aos-duration="5000">
        <img [src]="imageUrl + data.image" alt="" />
      </div>
      <p data-aos="fade-right" data-aos-duration="5000">
        {{ data.text }}
      </p>
      <div class="video" data-aos="fade-left" data-aos-duration="5000">
        <app-plyr [src]="videoUrl + data.video"></app-plyr>
      </div>
      <div class="voice">
        <audio controls [src]="voiceUrl + data.voice"></audio>
      </div>
    </div>
    <div class="actions">
      <div class="like">
        <a (click)="like()">
          <fa-icon [icon]="faHeart"></fa-icon>
          <span> {{ data.likeNumber }} </span>
        </a>
      </div>
      <div class="view">
        <a>
          <fa-icon [icon]="faEye"></fa-icon>
          <span> {{ data.visitNumber }} </span>
        </a>
      </div>
      <div class="tooltip" (click)="copyLink()">
        <a>
          <fa-icon [icon]="faCopy"></fa-icon>
          <span> کپی لینک </span>
          <div class="copy-box show-tooltip">
            کپی شد
          </div>
        </a>
      </div>
    </div>
    <!-- <div class="comment-box" id="comment-box">
      <div class="form">
        <form action="" [formGroup]="commentForm">
          <textarea
            name=""
            formControlName="text"
            id=""
            cols="30"
            rows="10"
            placeholder="نظر ...."
          ></textarea>
        </form>
        <a (click)="sendComment()"
          >ارسال نظر<fa-icon [icon]="faArrowLeft"></fa-icon
        ></a>
      </div>
      <div class="comment" *ngFor="let comment of comments">
        <app-comment [data]="comment" [postId]="data.id"></app-comment>
      </div>
    </div> -->
  </div>
</div>
